Wii Firmware 4.0 Updating for Modchip Users

Discussion in 'Wii - Hacking' started by StacMaster-S, Mar 26, 2009.

  1. StacMaster-S
    OP

    StacMaster-S GBAtemp Fan

    Member
    367
    0
    Mar 16, 2007
    United States
    Albany, NY
    Hey folks! Haven't been over on this part of the forum in a bit, (honestly I haven't been playing my Wii all that much in general) but obviously the big 4.0 update is a big deal.

    Basically I just wanted to get some discussion going on updating to 4.0 for people who installed actual modchips (like myself). Seems like a majority of the discussion on Wii Hacking is all softmod based these days... I never bothered to learn much about that (for obvious reasons!)

    Anyway I'm curious what steps people are taking with 4.0 when they have a modchip installed. I'm personally using the WiiKey 1.9S and have kept my system at 3.2U all this time (although I did use an updater of some sort to get the 3.4U Store Channel working, I believe it included IOS60+61 as well?). What kind of reports have been people getting about the HBC and backups running in 4.0? From the discussions I've read so far it seems like neither would be affected, but again I see a lot of talk softmod stuff as well that kind of throws me off.

    Also there has been some talk about installing IOS60 patched with "FreeTheBug" to allow playing games straight off the SD card? Not sure what the deal is with this exactly.

    But yeah, just wanted to strike up some talk with other chip users!
    Thanks!
     
  2. GrizzlyBC

    GrizzlyBC Member

    Newcomer
    25
    0
    Feb 24, 2009
    Canada
    Good question. I am also at 3.2U like yourself and there doesn't seem to be much info specifically tailored toward modchip owners anymore.
     
  3. Ninn

    Ninn GBAtemp Regular

    Member
    134
    6
    Dec 1, 2006
    Yup, I'm in the same boat as you guys, still wondering what route to take.
     
  4. Hooya

    Hooya GBAtemp Advanced Maniac

    Member
    1,878
    0
    Aug 25, 2006
    United States
    Central Illinois
    I have a modchip and have done a bunch of softmod stuff lately.

    Here's the deal. Your modchip just lets your drive read burnt disks. That's pretty much it. Anything you do at the system level doesn't really change that at all. There is now a program you can install as a channel that lets you load burnt disks without a drive modchip, and while this works with burnt disks as well even if you had a modchip, it's obviously redundant.

    The rest of the homebrew and softmod scene is just icing on the cake for us old-schooler's that have been going the hardware route lately. Here's what I did:

    1.) updated to 4.0 officially. Then I ended up removing all my custom and homebrew channels. So basically I was starting virgin.

    2.) used bannerbomb with hackmii to install the new Homebrew Channel, DVDx and Bootmii.

    3.) installed the IOS files needed to run homebrew software, off the top of my head I think it was IOS35 downgrader, then cIOS36.

    4.) after that was done I had a working HBC and WadManager from within that as well as all the rest of the homebrew available.

    5.) I'm now in the process of switching over to USB Loader GX and will use that to load my burnt games onto a hard drive so I don't need to swap disks anymore. Supposedly it will speed up load times and it's a lot more convenient.

    Hope that's helpful for you guys.
     
  5. beelzebul

    beelzebul Member

    Newcomer
    24
    0
    May 28, 2007
    Netherlands
    nederlands
    I (wiikey1.0) went from 3.3 to 4.0 Returned back to 3.0(without any probs) to do 3.2 tomorow again [​IMG]
     
  6. tazan

    tazan Newbie

    Newcomer
    3
    0
    Aug 27, 2009
    United States
    HI Hooya,

    thx for your info!

    i was wondering if it will cause any conflict with both softmod n modchip on my wii.

    i will go softmod it coz my modchip wont' work now after i updated to 4.1

    and i found info how to softmod my 4.1 wii.

    thx
     
  7. legoblocks

    legoblocks Member

    Newcomer
    44
    0
    Aug 5, 2006
    Canada
    I didn't think 4.1 affects modchips at all. Have you tried updating your modchip first? Anyway USB Loader is where it's at.
     
  8. rabapab23

    rabapab23 Member

    Newcomer
    37
    0
    Jul 12, 2008
    United States
    I actually started a thread about this earlier. I accidentally updated my wii from 4.0 to 4.1. I have Wiikey 1.9s and it didn't seem to affect anything. I was told I just needed to reinstall preloader and I am good to go. But when I was on 3.2U, I did the 4.0 waninkoko updater. Still works great!
     
  9. grentuu

    grentuu GBAtemp Regular

    Member
    146
    0
    Aug 11, 2007
    I have a wiikey 1.9s and have updated to 4.1E from 4E.

    I didn't have to do anything, it left the HBC intact, all my loaders work great. The only thing thats forced me to do anything recently was GH5 as I had to install Hermes Cios 223 to get it working.

    You can see from my sig whats installed and it all works great.

    I do agree that its becoming a softmod scene these days. I understand its cheaper (as in free) to softmod, but I have been playing backups for almost 2 years with no issues at all (region etc) Gamecube backups work great. The only reason for going down this route was for USB loaders which I seriously applaud the authors for.
     
  10. rasputin

    rasputin GBAtemp Advanced Fan

    Member
    938
    115
    Mar 7, 2008
    United States
    simple way to 4.1 from 3.2 for chip users

    1) manually install a trucha patched ios60
    2) run wanins 4.1 updater

    this method has left everything working for me apart from freeloader which just freezes my wii now


    note, never uninstall ios60 once in use or u will brick
     
  11. ozguy

    ozguy GBAtemp Regular

    Member
    232
    1
    Apr 11, 2009
    United States
    The only problem you can encounter with the original WiiKey is if you don't have the latest wiikey firmware some games will give a 001 error (unauthorized device).

    The modchip does not conflict with softmods whatsoever, though the only softmods you need to use is a USB loader (since you can already run backup disks).

    I have a WiiKey2, but I hardly ever use disks any more now that I have all my games on a USB harddrive. I really only use the modchip for playing gamecube games.
     
  12. E30Nova

    E30Nova Member

    Newcomer
    10
    0
    Sep 9, 2009
    United States
    California
    Sorry to bump a semi-old topic (but hey, at least I searched! [​IMG] ), but I just want to be sure before I do anything. Basically I've got a 3.2U Wii with a D2CKey (or D2CKey Pro? it's been a while, lol) and I haven't had any problems with it. I also haven't played my Wii in a while, and now I want to play some newer games and I figured I'd update to the latest firmware.

    My friend is playing my PS3 so I can't go on my Wii right now, but I know I had HBC (I think v 0.8 or something) along with a few VC/WiiWare games and that's basically it.

    Judging by the posts in this thread, it looks like I can just officially update it to 4.1 and then use bannerbomb to reinstall HBC? Would I still be able to install wads or would I have to install a cIOS?

    Thanks,
    Matt
     
  13. 1st Time

    1st Time Newbie

    Newcomer
    8
    0
    Sep 4, 2009
    Hi,
    First off I just wanted to say thanks for creating this catergory as I have been looking for information regarding modchip consoles with regards to the new update.

    I am a newbie when it comes to having to use loaders etc.

    I have an original launch model Pal wii and the original wiinja mod chip. I rushed in and updated to 4.1 after hearding that everything still works - however no wish I hadn't as I can't load any of my games from the disc channel.

    I still have the HBC installed on my wii, but I cannot load a lot of new games as I do not have the correct custom files loaded on my system.

    What is the best way for me to install what I need? As any loader I use says I do not have the required file installed (sorry forgot the name of the file format but think it's the IOS files - if that is what they are called).

    Thanks for any help provided
     
  14. nabster92

    nabster92 GBAtemp Advanced Maniac

    Member
    1,631
    0
    Apr 16, 2009
    United States
    Have you checked to see if your modchip has anything that needs updating as well? That may be why you can't play games anymore with it.

    If you want to just go ahead and start using softmods instead, read through the guide in my sig.
     
  15. 1st Time

    1st Time Newbie

    Newcomer
    8
    0
    Sep 4, 2009
    Thanks - as my modchip is the version 1 wiinja chip it cannot be updated. So i'm guessing from what your saying that my modchip no longer works at all on 4.1, therefore looks like i'll have to softmod.
    Thanks for your help
     
  16. E30Nova

    E30Nova Member

    Newcomer
    10
    0
    Sep 9, 2009
    United States
    California
    Thanks!

    Did all that and now I'm on 4.1 and everything works like it should. [​IMG]

    Thanks a lot.

    Matt